import QtQuick 2.12
import QtGraphicalEffects 1.0
import org.ukui.qqc2style.private 1.0 as StylePrivate

Text {
    id: appName
    color: "#FAFAFA"
    elide: Text.ElideRight
    smooth: true

    font: StylePrivate.StyleHelper.font
    horizontalAlignment: Text.AlignHCenter
    verticalAlignment: Text.AlignVCenter
    layer.enabled: openGLEnabled
    layer.effect: DropShadow {
        verticalOffset: 1
        radius: 6
        samples: 12
    }
}
