import QtQuick 2.0
import QtQml 2.12
import QtQuick.Layouts 1.12
import QtQuick.Controls 2.5
import "."

Item {
    id: rectRoot
    width: Style.widthScaleFactor * 175; height: Style.heightScaleFactor * 80;

    RowLayout {
        anchors.fill: parent
        Image {
            id: loginImage
            Layout.preferredWidth: Style.widthScaleFactor * 64;
            Layout.preferredHeight: Style.heightScaleFactor * 64;
            sourceSize.width: Style.widthScaleFactor * 64;
            sourceSize.height: Style.heightScaleFactor * 64;
            source: "qrc:/ui/images/logo.png"
        }

        Column {
            spacing: 0
            Layout.fillHeight: true
            Layout.fillWidth: true
            Layout.alignment: Qt.AlignVCenter

            Text {
                id: logoHeadTopText
                text: "麒麟大屏";
                width: parent.width;
                height: parent.height / 2;
                horizontalAlignment: Qt.AlignRight
                verticalAlignment: Qt.AlignVCenter
                color: "#FFFFFF"
                font.pointSize: 18
                font.family: "Noto Sans CJK SC Regular"; font.styleName: "Medium"
            }
            Text {
                id: logoHeadBotText
                width: parent.width;
                height: parent.height / 2;
                horizontalAlignment: Qt.AlignRight
                verticalAlignment: Qt.AlignVCenter
                text: "操作系统";
                color: "#FFFFFF";
                font.pointSize: 18
                font.family: "Noto Sans CJK SC Regular"; font.styleName: "Medium"
            }
        }
    }
}
